* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/*By default our element's border, padding and content are calculated on top of the content


*/




#div1 {

	/*margin is space generated outside of the element*/
	/*padding is a space generated inside the element between our border*/
	/*boder is the space between your margin and apdding*/

	/*margin and paddings have four directions they can be added at the top, bottom, left or right.*/

	/*margin: <value> - adds margin on all sides*/
	/*margin: 50px;*/

	/*Start from top and bottom to left and right*/
	/*margin: 25px 100px;*/

	/*top > left&right > bottom*/
	/*margin: 10px 70px 50px;*/

	/*Top to clockwise*/
	/*margin: 100px 10px 5px 50px;*/


	border: 2px solid black;
	padding: 20px;
	background-color: red;
	width: 100px;
	height: 100px;
	display: inline-block;
	vertical-align: top;
}



/*without box-sizing or the default

width is calculated like this:

2px left border + 20px on the left padding + 100 width + 20px sa right + 2px right border = 144px total;

by default yan po si box-sizing: content-box;
box-sizing property allows us to determine how we calculate the size of elements.

with box-sizing: borde-box;

Width is calculated like this:
2px left border + 20px left padding + 56 content width + 20 right padding + 2px right border = 100px in total.

box-sizing: border-box; = border and padding is included in the totl width of our element.

inline vs block

block will occupy the whole width of its parent therefore it breaks the line. However, we can manipulate the height and width of our block element.

inline will only occupy the size of its content only. You can't set the width and height of the of an inline element 

	inline-block works almost like an inline elenement where in it will not start on a new line and will put elements beside each other. However, in inline-block you can set the width and the height.

	vertival-align will allow us to align our items vertically from the top. It is usually used in conjuntion with inline-block elements.
*/

#div2 {
	border: 2px solid black;
	padding: 20px;
	background-color: orange;
	width: 100px;
	height: 100px;
	display: inline-block;
	vertical-align: top;
}

#span1 {
	display: inline-block;
	border: 2px solid black;
	background-color: green;
	width: 100px;
	height: 100px;
}


#span2 {
	display: inline-block;
	border: 2px solid black;
	background-color: blue;
	width: 100px;
	height: 100px;
}
